Subject: [bug#36026] [PATCH 0/4] Update Conda

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 13 Jun 2019 20:57:17 +0200

Hi Pierre,

> Recent conda needs a separate python-conda-package-handling library.
> This library requires a libarchive built with zstd support.
> So far so good, except that python-libarchive-c does not seem to support zstd in its source code.
>
> I've reported the issue upstream
> (https://github.com/conda/conda-package-handling/issues/14) but
> according to them python-libarchive-c is fine.
>
> I don't have enough Python knowledge to understand whether upstream is right
> 	or if there is indeed something fishy with python-libarchive-c.
> Pierre Neidhardt (4):
>   gnu: libarchive: Add zstd support.
>   gnu: python-libarchive-c: Explicitly rely on latest libarchive.
>   gnu: Add python-conda-package-handling.
>   gnu: python-conda: Update to 4.7.0.

Does this actually work?  If it does: congratulations!

I tried to upgrade conda a while ago, but I got stuck:

   https://github.com/conda/conda/issues/8151

How did you overcome these problems?  I had to patch a lot of things and
even then couldn’t make it work.  Did I miss something obvious?

I’m glad you took care of this and I didn’t have to become the Conda
guy… :)

--
Ricardo